use itertools::Itertools;
use mpris::PlayerFinder;

use crate::block::Block;

pub struct Music {}

impl Block for Music {
    fn display(&self) -> String {
        let finder = PlayerFinder::new().expect("Could not create finder");

        let player = finder.find_active();

        match player {
            Ok(player) => {
                if let Ok(meta) = player.get_metadata() {
                    let artist: String = meta
                        .artists()
                        .map(|a| a.into_iter().intersperse(", ").collect())
                        .unwrap_or("".to_string());
                    let track: String = meta
                        .title()
                        .map(|a| a.to_string())
                        .unwrap_or("".to_string());
                    format!("{} - {}", artist, track)
                } else {
                    "".to_string()
                }
            }
            Err(e) => {
                println!("{:?}", e);
                "".to_string()
            }
        }
    }
}
