use systemstat::{Platform, System};

use crate::block::Block;

pub struct Temp {}

const COLOR_RESET: char = '\x01';
const COLOR_YELLOW: char = '\x03';
const COLOR_RED: char = '\x04';

impl Block for Temp {
    fn display(&self) -> String {
        let sys = System::new();

        if let Ok(temp) = sys.cpu_temp() {
            let color = if temp > 70.0 {
                COLOR_RED
            } else if temp > 50.0 {
                COLOR_YELLOW
            } else {
                COLOR_RESET
            };
            format!("{}+{}°C{}", color, temp, COLOR_RESET)
        } else {
            "".to_string()
        }
    }
}
